- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

# C:/Musimathics_local/Musimat/include/Musimat.h File Reference

Declarations of Musimat datatypes and global functions. More...

`#include "Aliases.h"`
`#include "MathFuns.h"`
`#include "Complex.h"`
`#include "List.h"`
`#include "Matrix.h"`
`#include "Rational.h"`
`#include "Rhythm.h"`
`#include "Pitch.h"`
`#include "Random.h"`
`#include "Dynamics.h"`
`#include "Pitches.h"`
`#include "Row.h"`

Go to the source code of this file.

## Typedefs
typedef List< Integer > | IntegerList
| A List of type Integer.
typedef List< Real > | RealList
| A List of type Real.
typedef List< String > | StringList
| A List of type String.
typedef List< Complex > | ComplexList
| A List of complex values.
typedef List< Pitch > | PitchList
| A List of type Pitch.
typedef List< Rational > | RationalList
| A List of type Rational.
typedef List< Rhythm > | RhythmList
| A List of type Rhythm.
typedef Matrix< Integer > | IntegerMatrix
| A Matrix of type Integer.
typedef Matrix< Real > | RealMatrix
| A Matrix of type Real.
typedef Matrix< String > | StringMatrix
| A Matrix of type String.
typedef Matrix< Complex > | ComplexMatrix
| A Matrix of complex values.
typedef Matrix< Pitch > | PitchMatrix
| A Matrix of type Pitch.
typedef Matrix< Rational > | RationalMatrix
| A Matrix of type Rational.
typedef Matrix< Rhythm > | RhythmMatrix
| A Matrix of type Rhythm.
## Functions
template<class ListType>
Real | Max (ListType L)
| Maximum value of List L.
Complex | Max (ComplexList L)
Integer | Max (IntegerList L)
Rhythm | Max (RhythmList L)
Rational | Max (RationalList L)
Pitch | Max (PitchList L)
template<class ListType>
Integer | MaxPos (ListType L)
| Index of the maximum value of List L.
template<class Type>
Real | Min (Type L)
| Minimum value of list L.
Complex | Min (ComplexList L)
Integer | Min (IntegerList L)
Rhythm | Min (RhythmList L)
Rational | Min (RationalList L)
Pitch | Min (PitchList L)
template<class Type>
Integer | MinPos (Type L)
| Index of the minimum value of list L.
template<class Type>
Void | Print (Type i)
| Global print function.
template<class Type>
Void | Print (String s, Type i)
| Global print function with prefix string.
Integer | Length (RhythmList Reference L)
| Length of a ComplexList.
Integer | Length (String s)
| String length.
RationalList | RealListToRationalList (RealList R)
| Convert a RealList to a RationalList.
PitchList | IntegerListToPitchList (IntegerList Reference L)
| Convert an IntegerList to a PitchList.
IntegerList | PitchListToIntegerList (PitchList Reference P)
| Convert a PitchList to an IntegerList.
## Variables
Const Real | Pi
| Pi computed to the machine precision of a Real.

## Detailed Description

Declarations of Musimat datatypes and global functions.

Definition in file Musimat.h.

## Function Documentation

PitchList IntegerListToPitchList | ( | IntegerList Reference | L | ) | `[inline]`

Convert an IntegerList to a PitchList.

Parameters:

  | L | IntegerList

Returns:
  PitchList

Definition at line 164 of file Musimat.h.

References For, Length(), P, and Return.

    00165 {
    00166         PitchList P;
    00167         For( Integer i = 0; i < Length( L ); i++ )
    00168                 P[i] = L[i];
    00169         Return P;
    00170 }

IntegerList PitchListToIntegerList | ( | PitchList Reference | P | ) | `[inline]`

Convert a PitchList to an IntegerList.

Parameters:

  | P | PitchList

Returns:
  IntegerList

Definition at line 175 of file Musimat.h.

References For, Length(), and Return.

    00176 {
    00177         IntegerList L;
    00178         For( Integer i = 0; i < Length( P ); i++ )
    00179                 L[i] = P[i];
    00180         Return L;
    00181 }

RationalList RealListToRationalList | ( | RealList | R | ) |

Convert a RealList to a RationalList.

Parameters:

  | R | RealList

Returns:
  RationalList

Definition at line 36 of file Rational.cpp.

References For, Length(), and Return.

    00037 {
    00038         RationalList L;
    00039         For (Integer i = 0; i < Length( R ); i++ ) {
    00040                 Rational x(R[i]);
    00041                 L[i] = x;
    00042         }
    00043         Return( L );
    00044 }

## Variable Documentation

Const Real Pi

Pi computed to the machine precision of a Real.

Always works to the precision of your hardware.

Definition at line 26 of file MathFuns.h.